[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.WSRegisterClass

Registers the tool bar class in the widgetset.

## Declaration

Source position: comctrls.pp line 2331

`protected class procedure TToolBar.WSRegisterClass; override;`

## Description

Calls the inherited method on entry. Calls RegisterToolBar in the widgetset class to ensure that the TToolBar component is registered with the factory methods (when needed).

## See also

TLCLComponent.WSRegisterClass |  | Registers this component class with the current WidgetSet.